Summary: Utility to set/show the host name or domain name
Name:    hostname
Version: 3.23
Release: 1
License: GPLv2+
URL:     http://packages.qa.debian.org/h/hostname.html
Source0: http://ftp.de.debian.org/debian/pool/main/h/hostname/hostname_%{version}.tar.gz
Source1: https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Source2: nis-domainname
Source3: nis-domainname.service
Patch1:  hostname-rh.patch

BuildRequires: gcc

%description
This package provides funcions to display or set system's hostname or NIS domain
name, and displays its DNS name as well.

%prep
%autosetup -n %{name} -p1
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%build
%make_build CFLAGS="%{optflags} $CFLAGS -D_GNU_SOURCE" LDFLAGS="$RPM_LD_FLAGS"

%install
make BASEDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir} install
install -m 0755 -d $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -m 0755 -d $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system
install -m 0755 nis-domainname         $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -m 0644 nis-domainname.service $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system

%preun
if [ $1 -eq 0 ]; then
  systemctl --no-reload disable --now nis-domainname.service &>/dev/null || :
fi

%post
if [ $1 -eq 1 ]; then
  systemctl --no-reload preset nis-domainname.service &>/dev/null || :
fi

%files
%doc COPYRIGHT
%{!?_licensedir:%global license %%doc}
%license gpl-2.0.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_prefix}/lib/systemd/system/*
%{_libexecdir}/%{name}/*

%changelog
* Sat Oct 29 2022 zhouyihang <zhouyihang3@h-partners.com> - 3.23-1
- Type:requirement
- ID:NA
- SUG:NA
- DESC:update hostname version to 3.23

* Thu May 27 2021 lijingyuan <lijingyuan3@huawei.com> - 3.21-2
- Type:requirement
- ID:NA
- SUG:NA
- DESC:Add the compilation dependency of gcc.

* Fri Jul 24 2020 gaihuiying <gaihuiying1@huawei.com> - 3.21-1
- Type:requirement
- ID:NA
- SUG:NA
- DESC:update hostname version to 3.21

* Fri Sep 20 2019 Alex Chao <zhaolei746@huawei.com> - 3.20-7
- Package init
